## vmware-nsx 13.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
httplib2>=0.9.1 # MIT
netaddr>=0.7.18 # BSD
tenacity>=4.4.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
neutron-lib>=1.18.0 # Apache-2.0
osc-lib>=1.8.0 # Apache-2.0
python-openstackclient>=3.16.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.vmware>=2.17.0 # Apache-2.0
PrettyTable<0.8,>=0.7.1 # BSD
tooz>=1.58.0 # Apache-2.0
decorator>=3.4.0 # BSD
mock>=2.0.0 # BSD

# These repos are installed from git in OpenStack CI if the job
# configures them as required-projects:
neutron>=12.0.0 # Apache-2.0
networking-l2gw>=12.0.0 # Apache-2.0
networking-sfc>=6.0.0 # Apache-2.0
neutron-lbaas>=12.0.0 # Apache-2.0
neutron-fwaas>=12.0.0 # Apache-2.0
neutron-vpnaas>=12.0.0 # Apache-2.0
neutron-dynamic-routing>=12.0.0 # Apache-2.0
vmware-nsxlib>=12.0.0 # Apache-2.0

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2 # BSD
oslosphinx>=4.7.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

fixtures>=3.0.0 # Apache-2.0/BSD
testresources>=2.0.0 # Apache-2.0/BSD
testscenarios>=0.4 # Apache-2.0/BSD
oslotest>=3.2.0 # Apache-2.0

=== debian/changelog ===
vmware-nsx (13.0.0-0ubuntu2~cloud0) bionic-rocky; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 04 Sep 2018 17:23:54 +0000

vmware-nsx (13.0.0-0ubuntu2) cosmic; urgency=medium

  * d/python(3)-vmware-nsx.p*, d/python(3)-nsx-lib.p*: Fix typo in file names.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 04 Sep 2018 12:03:35 -0400

vmware-nsx (13.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * Add support for Python 3:
    - d/control: Add Py3 BDs and python3-vmware-nsx package.
    - d/control, d/rules, d/python-vmware-nsx.install,
      d/vmware-nsx-common.install: Move common files to vmware-nsx-common.
    - d/rules: Add Py3 support.
    - d/rules: Use pkgos-dh_auto_install as this helps name binaries for
      update-alternatives.
    - d/python(3)-vmware-nsx.post*, d/python(3)-vmware-nsx.prerm: Add
      update-alternatives to enable correct shebangs for Python binaries.
    - d/tests/*: Add dep8 shebang tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 29 Aug 2018 13:50:49 -0400

vmware-nsx (12.0.1-0ubuntu2) cosmic; urgency=medium

  * d/python-vmware-nsx.install, d/control: Install all etc/policy.d files
    except neutron-fwaas.json, allowing the neutron-fwaas-common package to
    install it without conflict. Also Depends on new version of neutron-fwaas
    for package transition.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Jul 2018 08:35:30 -0400

=== debian/control ===
Source: vmware-nsx
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 James Page <james.page@ubuntu.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 pylint (>= 1.7.6),
 python-coverage (>= 4.0),
 python-decorator (>= 3.4.0),
 python-enum34 (>= 1.0.4),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-httplib2 (>= 0.9.1),
 python-mock (>= 2.0.0),
 python-netaddr (>= 0.7.18),
 python-networking-l2gw (>= 1:12.0.0),
 python-networking-sfc (>= 6.0.0),
 python-neutron (>= 2:12.0.0),
 python-neutron-dynamic-routing (>= 2:12.0.0),
 python-neutron-fwaas (>= 1:13.0.0~b2-0ubuntu3~),
 python-neutron-lbaas (>= 2:12.0.0),
 python-neutron-lib (>= 1.18.0),
 python-neutron-taas (>= 1.0.0),
 python-neutron-vpnaas (>= 2:12.0.0),
 python-openstackclient (>= 3.16.0),
 python-os-testr,
 python-osc-lib (>= 1.8.0),
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.privsep (>= 1.23.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslo.vmware (>= 2.17.0),
 python-oslosphinx (>= 4.7.0),
 python-oslotest (>= 1:3.2.0),
 python-prettytable (>= 0.7.1),
 python-psycopg2 (>= 2.6.2),
 python-pymysql (>= 0.7.6),
 python-pyroute2 (>= 0.4.21),
 python-requests-mock (>= 1.2.0),
 python-six (>= 1.10.0),
 python-sphinx (>= 1.6.5),
 python-sqlalchemy (>= 1.0.10),
 python-stestr (>= 1.0.0),
 python-stevedore (>= 1:1.20.0),
 python-subunit (>= 0.0.18),
 python-tempest (>= 1:17.1.0),
 python-tenacity (>= 4.4.0),
 python-testrepository (>= 0.0.18),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-tooz (>= 1.58.0),
 python-vmware-nsxlib (>= 12.0.0),
 python-webtest (>= 2.0.27),
 pylint3 (>= 1.7.6),
 python3-coverage (>= 4.0),
 python3-decorator (>= 3.4.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-httplib2 (>= 0.9.1),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-networking-l2gw (>= 1:12.0.0),
 python3-networking-sfc (>= 6.0.0),
 python3-neutron (>= 2:12.0.0),
 python3-neutron-dynamic-routing (>= 2:12.0.0),
 python3-neutron-fwaas (>= 1:13.0.0~b2-0ubuntu3~),
 python3-neutron-lbaas (>= 2:12.0.0),
 python3-neutron-lib (>= 1.18.0),
 python3-neutron-vpnaas (>= 2:12.0.0),
 python3-openstackclient (>= 3.16.0),
 python3-os-testr,
 python3-osc-lib (>= 1.8.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.privsep (>= 1.23.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.vmware (>= 2.17.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-prettytable (>= 0.7.1),
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql (>= 0.7.6),
 python3-pyroute2 (>= 0.4.21),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sphinx (>= 1.6.5),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 0.0.18),
 python3-tempest (>= 1:17.1.0),
 python3-tenacity (>= 4.4.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 python3-vmware-nsxlib (>= 12.0.0),
 python3-webtest (>= 2.0.27),
Standards-Version: 4.1.2
Homepage: http://neutron.openstack.org/
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/vmware-nsx.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/vmware-nsx.git
Testsuite: autopkgtest-pkg-python

Package: python-vmware-nsx
Architecture: all
Section: python
Depends:
 vmware-nsx-common (= ${binary:Version}),
 python-decorator (>= 3.4.0),
 python-eventlet (>= 0.18.2),
 python-httplib2 (>= 0.9.1),
 python-netaddr (>= 0.7.18),
 python-networking-l2gw (>= 1:12.0.0),
 python-networking-sfc (>= 6.0.0),
 python-neutron (>= 2:12.0.0),
 python-neutron-dynamic-routing (>= 2:12.0.0),
 python-neutron-fwaas (>= 1:13.0.0~b2-0ubuntu3~),
 python-neutron-lbaas (>= 2:12.0.0),
 python-neutron-lib (>= 1.18.0),
 python-neutron-taas (>= 1.0.0),
 python-neutron-vpnaas (>= 2:12.0.0),
 python-openstackclient (>= 3.16.0),
 python-osc-lib (>= 1.8.0),
 python-oslo.concurrency (>= 3.26.0),
 python-oslo.config (>= 1:5.2.0),
 python-oslo.context (>= 1:2.19.2),
 python-oslo.db (>= 4.27.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.service (>= 1.24.0),
 python-oslo.utils (>= 3.33.0),
 python-oslo.vmware (>= 2.17.0),
 python-pbr (>= 2.0.0),
 python-prettytable (>= 0.7.1),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-tenacity (>= 4.4.0),
 python-tooz (>= 1.58.0),
 python-vmware-nsxlib (>= 12.0.0),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack virtual network service - Python 2 VMWare NSX plugin
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python 2 files for the VMWare NSX plugin.

Package: python3-vmware-nsx
Architecture: all
Section: python
Depends:
 vmware-nsx-common (= ${binary:Version}),
 python3-decorator (>= 3.4.0),
 python3-eventlet (>= 0.18.2),
 python3-httplib2 (>= 0.9.1),
 python3-netaddr (>= 0.7.18),
 python3-networking-l2gw (>= 1:12.0.0),
 python3-networking-sfc (>= 6.0.0),
 python3-neutron (>= 2:12.0.0),
 python3-neutron-dynamic-routing (>= 2:12.0.0),
 python3-neutron-fwaas (>= 1:13.0.0~b2-0ubuntu3~),
 python3-neutron-lbaas (>= 2:12.0.0),
 python3-neutron-lib (>= 1.18.0),
 python3-neutron-vpnaas (>= 2:12.0.0),
 python3-openstackclient (>= 3.16.0),
 python3-osc-lib (>= 1.8.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.vmware (>= 2.17.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-tenacity (>= 4.4.0),
 python3-tooz (>= 1.58.0),
 python3-vmware-nsxlib (>= 12.0.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - Python 3 VMWare NSX plugin
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python 3 files for the VMWare NSX plugin.

Package: vmware-nsx-common
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 ${misc:Recommends},
Breaks:
 python-vmware-nsx (<< 13.0.0-0ubuntu1~),
Replaces:
 python-vmware-nsx (<< 13.0.0-0ubuntu1~),
Description: OpenStack virtual network service - VMWare NSX plugin config files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the config files for the VMWare NSX plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell echo '$(VERSION)' | cut -d + -f 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# NOTE(jamespage): Disable unit tests due to sqlite related test failures
	#                  with in-memory db's in low memory conditions.
	#                  See https://bugs.launchpad.net/1676712
	# ostestr
	:
endif

override_dh_auto_install:
	pkgos-dh_auto_install
	dh_auto_install
	mkdir -p $(CURDIR)/debian/vmware-nsx-common/etc/neutron/plugins/vmware
	PYTHONPATH=$(CURDIR) oslo-config-generator --namespace nsx \
		--output-file $(CURDIR)/debian/vmware-nsx-common/etc/neutron/plugins/vmware/nsx.ini

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/python-vmware-nsx/usr/etc
	rm -rf $(CURDIR)/debian/python3-vmware-nsx/usr/etc

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_installgsettings:

## vmware-nsx 14.0.0~b1~git2019031322.8426b63a4

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

eventlet>=0.24.1 # MIT
httplib2>=0.9.1 # MIT
netaddr>=0.7.18 # BSD
tenacity>=4.4.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.2.0 # MIT
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
neutron-lib>=1.25.0 # Apache-2.0
osc-lib>=1.10.0 # Apache-2.0
python-openstackclient>=3.16.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.db>=4.37.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service>=1.31.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.vmware>=2.17.0 # Apache-2.0
PrettyTable<0.8,>=0.7.2 # BSD
tooz>=1.58.0 # Apache-2.0
decorator>=4.3.0 # BSD
mock>=2.0.0 # BSD

# These repos are installed from git in OpenStack CI if the job
# configures them as required-projects:
neutron>=12.0.0 # Apache-2.0
networking-l2gw>=12.0.0 # Apache-2.0
networking-sfc>=6.0.0 # Apache-2.0
neutron-lbaas>=12.0.0 # Apache-2.0
neutron-fwaas>=12.0.0 # Apache-2.0
neutron-vpnaas>=12.0.0 # Apache-2.0
neutron-dynamic-routing>=12.0.0 # Apache-2.0
vmware-nsxlib>=12.0.0 # Apache-2.0
#octavia>=3.0.0 # Apache-2.0

# The comment below indicates this project repo is current with neutron-lib
# and should receive neutron-lib consumption patches as they are released
# in neutron-lib. It also implies the project will stay current with TC
# and infra initiatives ensuring consumption patches can land.
# neutron-lib-current

=== debian/changelog ===
vmware-nsx (14.0.0~b1~git2019031322.8426b63a4-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 13 Mar 2019 22:01:48 -0400

vmware-nsx (14.0.0~b1~git2019013109.17b5ad567-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/vmware-nsx-common.install: Drop install of dynamic-routing.json,
    network-gateways.json, security-groups.json from etc/policy.d inline
    with upstream switch to policy-in-code.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Jan 2019 17:15:19 -0500

vmware-nsx (14.0.0~b1~git2018111629.ef81e5b56-0ubuntu2) disco; urgency=medium

  * d/tests/*: Drop tests which simply test shebangs in python scripts which
    are all now /usr/bin/python3.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Nov 2018 14:17:27 +0000

vmware-nsx (14.0.0~b1~git2018111629.ef81e5b56-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control,rules,python*: Drop Python 2 support.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Nov 2018 12:50:43 +0000

=== debian/control ===
Source: vmware-nsx
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 James Page <james.page@ubuntu.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools (>= 23~),
 python-all,
 python-setuptools,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 pylint3 (>= 1.7.6),
 python3-bandit (>= 1.1.0),
 python3-coverage (>= 4.0),
 python3-decorator (>= 4.3.0),
 python3-eventlet (>= 0.24.1),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-httplib2 (>= 0.9.1),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-networking-l2gw (>= 1:12.0.0),
 python3-networking-sfc (>= 6.0.0),
 python3-neutron (>= 2:12.0.0),
 python3-neutron-dynamic-routing (>= 2:12.0.0),
 python3-neutron-fwaas (>= 1:13.0.0~b2-0ubuntu3~),
 python3-neutron-lbaas (>= 2:12.0.0),
 python3-neutron-lib (>= 1.25.0),
 python3-neutron-vpnaas (>= 2:12.0.0),
 python3-openstackclient (>= 3.16.0),
 python3-os-testr,
 python3-osc-lib (>= 1.10.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.37.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.privsep (>= 1.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.vmware (>= 2.17.0),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-prettytable (>= 0.7.2),
 python3-psycopg2 (>= 2.7),
 python3-pymysql (>= 0.7.6),
 python3-pyroute2 (>= 0.4.21),
 python3-reno (>= 2.5.0),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sphinx (>= 1.6.5),
 python3-sqlalchemy (>= 1.2.0),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 0.0.18),
 python3-tempest (>= 1:17.1.0),
 python3-tenacity (>= 4.4.0),
 python3-testrepository (>= 0.0.18),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 1.58.0),
 python3-vmware-nsxlib (>= 12.0.0),
 python3-webtest (>= 2.0.27),
Standards-Version: 4.1.2
Homepage: http://neutron.openstack.org/
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/vmware-nsx.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/vmware-nsx.git
Testsuite: autopkgtest-pkg-python

Package: python3-vmware-nsx
Architecture: all
Section: python
Depends:
 vmware-nsx-common (= ${binary:Version}),
 python3-decorator (>= 4.3.0),
 python3-eventlet (>= 0.24.1),
 python3-httplib2 (>= 0.9.1),
 python3-netaddr (>= 0.7.18),
 python3-networking-l2gw (>= 1:12.0.0),
 python3-networking-sfc (>= 6.0.0),
 python3-neutron (>= 2:12.0.0),
 python3-neutron-dynamic-routing (>= 2:12.0.0),
 python3-neutron-fwaas (>= 1:13.0.0~b2-0ubuntu3~),
 python3-neutron-lbaas (>= 2:12.0.0),
 python3-neutron-lib (>= 1.25.0),
 python3-neutron-vpnaas (>= 2:12.0.0),
 python3-openstackclient (>= 3.16.0),
 python3-osc-lib (>= 1.10.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.37.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.31.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.vmware (>= 2.17.0),
 python3-pbr (>= 2.0.0),
 python3-prettytable (>= 0.7.2),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.0),
 python3-stevedore (>= 1:1.20.0),
 python3-tenacity (>= 4.4.0),
 python3-tooz (>= 1.58.0),
 python3-vmware-nsxlib (>= 12.0.0),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - Python 3 VMWare NSX plugin
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python 3 files for the VMWare NSX plugin.

Package: vmware-nsx-common
Architecture: all
Depends:
 ${misc:Depends},
Recommends:
 ${misc:Recommends},
Breaks:
 python-vmware-nsx (<< 13.0.0-0ubuntu1~),
Replaces:
 python-vmware-nsx (<< 13.0.0-0ubuntu1~),
Description: OpenStack virtual network service - VMWare NSX plugin config files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the config files for the VMWare NSX plugin.

## vmware-nsx 15.0.0~git2019101612.8364a82f3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=4.0.0 # Apache-2.0

eventlet>=0.24.1 # MIT
httplib2>=0.9.1 # MIT
requests>=2.14.2 # Apache-2.0
netaddr>=0.7.18 # BSD
tenacity>=5.0.2 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.2.0 # MIT
six>=1.11.0 # MIT
stevedore>=1.20.0 # Apache-2.0
neutron-lib>=1.29.1 # Apache-2.0
osc-lib>=1.14.0 # Apache-2.0
octavia-lib>=1.3.1 # Apache-2.0
python-openstackclient>=4.0.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.db>=4.37.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.serialization>=2.28.1 # Apache-2.0
oslo.service>=1.31.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.vmware>=2.17.0 # Apache-2.0
PrettyTable<0.8,>=0.7.2 # BSD
tooz>=1.58.0 # Apache-2.0
decorator>=4.3.0 # BSD
mock>=2.0.0 # BSD

# These repos are installed from git in OpenStack CI if the job
# configures them as required-projects:
neutron>=14.0.0.0rc1 # Apache-2.0
networking-l2gw>=14.0.0 # Apache-2.0
networking-sfc>=8.0.0.0rc1 # Apache-2.0
neutron-fwaas>=14.0.0.0rc1 # Apache-2.0
neutron-vpnaas>=14.0.0.0rc1 # Apache-2.0
neutron-dynamic-routing>=14.0.0.0rc1 # Apache-2.0
vmware-nsxlib>=13.1.0 # Apache-2.0
# NOTE: we require octavia but can't depend on it for Stein
# octavia>=4.0.0.0rc1 # Apache-2.0

# The comment below indicates this project repo is current with neutron-lib
# and should receive neutron-lib consumption patches as they are released
# in neutron-lib. It also implies the project will stay current with TC
# and infra initiatives ensuring consumption patches can land.
# neutron-lib-current

=== debian/changelog ===
vmware-nsx (15.0.0~git2019101612.8364a82f3-0ubuntu2) eoan; urgency=medium

  * d/control: Drop python3-neutron-lbaas dependency as part of the work
    toward removal of python3-neutron-lbaas binaries and source packages.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Oct 2019 14:05:23 -0400

vmware-nsx (15.0.0~git2019101612.8364a82f3-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Oct 2019 12:58:36 -0400

vmware-nsx (14.0.0~b1~git2019062013.30eab6bb8-0ubuntu1) eoan; urgency=medium

  * New upstream release 14.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 25 Jun 2019 09:44:01 +0100

=== debian/control ===
--- 
+++ 
@@ -15,35 +15,36 @@
  python3-all,
  python3-setuptools,
 Build-Depends-Indep:
- pylint3 (>= 1.7.6),
  python3-bandit (>= 1.1.0),
  python3-coverage (>= 4.0),
  python3-decorator (>= 4.3.0),
  python3-eventlet (>= 0.24.1),
  python3-fixtures (>= 3.0.0),
- python3-hacking (>= 0.12.0),
+ python3-hacking (>= 1.1.0),
  python3-httplib2 (>= 0.9.1),
  python3-mock (>= 2.0.0),
  python3-netaddr (>= 0.7.18),
- python3-networking-l2gw (>= 1:12.0.0),
- python3-networking-sfc (>= 6.0.0),
- python3-neutron (>= 2:12.0.0),
- python3-neutron-dynamic-routing (>= 2:12.0.0),
- python3-neutron-fwaas (>= 1:13.0.0~b2-0ubuntu3~),
- python3-neutron-lbaas (>= 2:12.0.0),
- python3-neutron-lib (>= 1.25.0),
- python3-neutron-vpnaas (>= 2:12.0.0),
- python3-openstackclient (>= 3.16.0),
+ python3-networking-l2gw (>= 1:14.0.0),
+ python3-networking-sfc (>= 8.0.0~rc1),
+ python3-neutron (>= 2:14.0.0~rc1),
+ python3-neutron-dynamic-routing (>= 2:14.0.0~rc1),
+ python3-neutron-fwaas (>= 1:14.0.0~rc1),
+ python3-neutron-lib (>= 1.29.1),
+ python3-neutron-vpnaas (>= 2:14.0.0~rc1),
+ python3-octavia-lib (>= 1.3.1),
+ python3-openstackclient (>= 4.0.0),
+ python3-openstackdocstheme (>= 1.18.1),
  python3-os-testr,
- python3-osc-lib (>= 1.10.0),
+ python3-osc-lib (>= 1.14.0),
  python3-oslo.concurrency (>= 3.26.0),
- python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.config (>= 1:6.4.0),
  python3-oslo.context (>= 1:2.19.2),
  python3-oslo.db (>= 4.37.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
- python3-oslo.privsep (>= 1.29.0),
- python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.policy (>= 1.30.0),
+ python3-oslo.privsep (>= 1.32.0),
+ python3-oslo.serialization (>= 2.28.1),
  python3-oslo.service (>= 1.31.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslo.vmware (>= 2.17.0),
@@ -54,15 +55,16 @@
  python3-pymysql (>= 0.7.6),
  python3-pyroute2 (>= 0.4.21),
  python3-reno (>= 2.5.0),
+ python3-requests (>= 2.14.2),
  python3-requests-mock (>= 1.2.0),
- python3-six (>= 1.10.0),
+ python3-six (>= 1.11.0),
  python3-sphinx (>= 1.6.5),
  python3-sqlalchemy (>= 1.2.0),
  python3-stestr (>= 1.0.0),
  python3-stevedore (>= 1:1.20.0),
  python3-subunit (>= 0.0.18),
  python3-tempest (>= 1:17.1.0),
- python3-tenacity (>= 4.4.0),
+ python3-tenacity (>= 5.0.2),
  python3-testrepository (>= 0.0.18),
  python3-testresources (>= 2.0.0),
  python3-testscenarios (>= 0.4),
@@ -85,32 +87,34 @@
  python3-eventlet (>= 0.24.1),
  python3-httplib2 (>= 0.9.1),
  python3-netaddr (>= 0.7.18),
- python3-networking-l2gw (>= 1:12.0.0),
- python3-networking-sfc (>= 6.0.0),
- python3-neutron (>= 2:12.0.0),
- python3-neutron-dynamic-routing (>= 2:12.0.0),
- python3-neutron-fwaas (>= 1:13.0.0~b2-0ubuntu3~),
- python3-neutron-lbaas (>= 2:12.0.0),
- python3-neutron-lib (>= 1.25.0),
- python3-neutron-vpnaas (>= 2:12.0.0),
- python3-openstackclient (>= 3.16.0),
- python3-osc-lib (>= 1.10.0),
+ python3-networking-l2gw (>= 1:14.0.0),
+ python3-networking-sfc (>= 8.0.0~rc1),
+ python3-neutron (>= 2:14.0.0~rc1),
+ python3-neutron-dynamic-routing (>= 2:14.0.0~rc1),
+ python3-neutron-fwaas (>= 1:14.0.0~rc1),
+ python3-neutron-lib (>= 1.29.1),
+ python3-neutron-vpnaas (>= 2:14.0.0~rc1),
+ python3-octavia-lib (>= 1.3.1),
+ python3-openstackclient (>= 4.0.0),
+ python3-osc-lib (>= 1.14.0),
  python3-oslo.concurrency (>= 3.26.0),
- python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.config (>= 1:6.4.0),
  python3-oslo.context (>= 1:2.19.2),
  python3-oslo.db (>= 4.37.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
- python3-oslo.serialization (>= 2.18.0),
+ python3-oslo.policy (>= 1.30.0),
+ python3-oslo.serialization (>= 2.28.1),
  python3-oslo.service (>= 1.31.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslo.vmware (>= 2.17.0),
- python3-pbr (>= 2.0.0),
+ python3-pbr (>= 4.0.0),
  python3-prettytable (>= 0.7.2),
- python3-six (>= 1.10.0),
+ python3-requests (>= 2.14.2),
+ python3-six (>= 1.11.0),
  python3-sqlalchemy (>= 1.2.0),
  python3-stevedore (>= 1:1.20.0),
- python3-tenacity (>= 4.4.0),
+ python3-tenacity (>= 5.0.2),
  python3-tooz (>= 1.58.0),
  python3-vmware-nsxlib (>= 12.0.0),
  ${misc:Depends},

## vmware-nsx 16.0.0~b2~git2020021315.842853272

=== debian/changelog ===
vmware-nsx (16.0.0~b2~git2020021315.842853272-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Feb 2020 15:46:12 -0500

## vmware-nsx 16.0.0~b3~git2020041014.75cfea261

=== requirements.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.2.0 # MIT
 six>=1.11.0 # MIT
 stevedore>=1.20.0 # Apache-2.0
-neutron-lib>=1.29.1 # Apache-2.0
+neutron-lib>=2.0.0 # Apache-2.0
 osc-lib>=1.14.0 # Apache-2.0
 octavia-lib>=1.3.1 # Apache-2.0
 python-openstackclient>=4.0.0 # Apache-2.0
@@ -28,20 +28,20 @@
 oslo.vmware>=2.17.0 # Apache-2.0
 PrettyTable<0.8,>=0.7.2 # BSD
 tooz>=1.58.0 # Apache-2.0
-decorator>=4.3.0 # BSD
+decorator>=4.4.1 # BSD
 mock>=2.0.0 # BSD
 
 # These repos are installed from git in OpenStack CI if the job
 # configures them as required-projects:
-neutron>=14.0.0.0rc1 # Apache-2.0
-networking-l2gw>=14.0.0 # Apache-2.0
-networking-sfc>=8.0.0.0rc1 # Apache-2.0
-neutron-fwaas>=14.0.0.0rc1 # Apache-2.0
-neutron-vpnaas>=14.0.0.0rc1 # Apache-2.0
-neutron-dynamic-routing>=14.0.0.0rc1 # Apache-2.0
-vmware-nsxlib>=13.1.0 # Apache-2.0
+neutron>=15.0.0.0 # Apache-2.0
+networking-l2gw>=15.0.0 # Apache-2.0
+networking-sfc>=9.0.0.0 # Apache-2.0
+neutron-fwaas>=15.0.0.0 # Apache-2.0
+neutron-vpnaas>=15.0.0.0 # Apache-2.0
+neutron-dynamic-routing>=15.0.0.0 # Apache-2.0
+vmware-nsxlib>=15.0.1 # Apache-2.0
 # NOTE: we require octavia but can't depend on it for Stein
-# octavia>=4.0.0.0rc1 # Apache-2.0
+# octavia>=5.0.0.0 # Apache-2.0
 
 # The comment below indicates this project repo is current with neutron-lib
 # and should receive neutron-lib consumption patches as they are released

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2;python_version>='3.4'  # BSD
oslosphinx>=4.7.0 # Apache-2.0
openstackdocstheme>=1.18.1 # Apache-2.0
oslotest>=3.2.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

fixtures>=3.0.0 # Apache-2.0/BSD
testresources>=2.0.0 # Apache-2.0/BSD
testscenarios>=0.4 # Apache-2.0/BSD

=== debian/changelog ===
vmware-nsx (16.0.0~b3~git2020041014.75cfea261-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 14:16:01 -0400

vmware-nsx (16.0.0~b3~git2020032711.f43adec12-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 27 Mar 2020 11:02:59 -0400

=== debian/control ===
--- 
+++ 
@@ -24,13 +24,13 @@
  python3-httplib2 (>= 0.9.1),
  python3-mock (>= 2.0.0),
  python3-netaddr (>= 0.7.18),
- python3-networking-l2gw (>= 1:14.0.0),
- python3-networking-sfc (>= 8.0.0~rc1),
- python3-neutron (>= 2:14.0.0~rc1),
- python3-neutron-dynamic-routing (>= 2:14.0.0~rc1),
- python3-neutron-fwaas (>= 1:14.0.0~rc1),
- python3-neutron-lib (>= 1.29.1),
- python3-neutron-vpnaas (>= 2:14.0.0~rc1),
+ python3-networking-l2gw (>= 1:15.0.0),
+ python3-networking-sfc (>= 9.0.0),
+ python3-neutron (>= 2:15.0.0),
+ python3-neutron-dynamic-routing (>= 2:15.0.0),
+ python3-neutron-fwaas (>= 1:15.0.0),
+ python3-neutron-lib (>= 2.0.0),
+ python3-neutron-vpnaas (>= 2:15.0.0),
  python3-octavia-lib (>= 1.3.1),
  python3-openstackclient (>= 4.0.0),
  python3-openstackdocstheme (>= 1.18.1),
@@ -70,7 +70,7 @@
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
  python3-tooz (>= 1.58.0),
- python3-vmware-nsxlib (>= 12.0.0),
+ python3-vmware-nsxlib (>= 15.0.1),
  python3-webtest (>= 2.0.27),
 Standards-Version: 4.1.2
 Homepage: http://neutron.openstack.org/
@@ -87,13 +87,13 @@
  python3-eventlet (>= 0.24.1),
  python3-httplib2 (>= 0.9.1),
  python3-netaddr (>= 0.7.18),
- python3-networking-l2gw (>= 1:14.0.0),
- python3-networking-sfc (>= 8.0.0~rc1),
- python3-neutron (>= 2:14.0.0~rc1),
- python3-neutron-dynamic-routing (>= 2:14.0.0~rc1),
- python3-neutron-fwaas (>= 1:14.0.0~rc1),
- python3-neutron-lib (>= 1.29.1),
- python3-neutron-vpnaas (>= 2:14.0.0~rc1),
+ python3-networking-l2gw (>= 1:15.0.0),
+ python3-networking-sfc (>= 9.0.0),
+ python3-neutron (>= 2:15.0.0),
+ python3-neutron-dynamic-routing (>= 2:15.0.0),
+ python3-neutron-fwaas (>= 1:15.0.0),
+ python3-neutron-lib (>= 2.0.0),
+ python3-neutron-vpnaas (>= 2:15.0.0),
  python3-octavia-lib (>= 1.3.1),
  python3-openstackclient (>= 4.0.0),
  python3-osc-lib (>= 1.14.0),
@@ -116,7 +116,7 @@
  python3-stevedore (>= 1:1.20.0),
  python3-tenacity (>= 5.0.2),
  python3-tooz (>= 1.58.0),
- python3-vmware-nsxlib (>= 12.0.0),
+ python3-vmware-nsxlib (>= 15.0.1),
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack virtual network service - Python 3 VMWare NSX plugin

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# NOTE(jamespage): Disable unit tests due to sqlite related test failures
	#                  with in-memory db's in low memory conditions.
	#                  See https://bugs.launchpad.net/1676712
	# ostestr
	:
endif

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2
	mkdir -p $(CURDIR)/debian/vmware-nsx-common/etc/neutron/plugins/vmware
	PYTHONPATH=$(CURDIR) oslo-config-generator --namespace nsx \
		--output-file $(CURDIR)/debian/vmware-nsx-common/etc/neutron/plugins/vmware/nsx.ini

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/python3-vmware-nsx/usr/etc


override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## vmware-nsx 17.0.0~b3~git2020101510.b079e17c3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=4.0.0 # Apache-2.0

eventlet>=0.24.1 # MIT
httplib2>=0.9.1 # MIT
requests>=2.14.2 # Apache-2.0
netaddr>=0.7.18 # BSD
tenacity>=5.0.2 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.2.0 # MIT
stevedore>=1.20.0 # Apache-2.0
neutron-lib>=2.0.0 # Apache-2.0
osc-lib>=1.14.0 # Apache-2.0
octavia-lib>=1.3.1 # Apache-2.0
python-openstackclient>=5.3.0 # Apache-2.0
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.db>=4.44.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.serialization>=2.28.1 # Apache-2.0
oslo.service>=1.31.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.vmware>=2.17.0 # Apache-2.0
paramiko>=2.4.0 # LGPLv2.1+
PrettyTable<0.8,>=0.7.2 # BSD
tooz>=1.58.0 # Apache-2.0
decorator>=4.4.1 # BSD

# These repos are installed from git in OpenStack CI if the job
# configures them as required-projects:
neutron>=17.0.0.0 # Apache-2.0
networking-l2gw>=16.0.0 # Apache-2.0
networking-sfc>=10.0.0.0 # Apache-2.0
neutron-fwaas>=16.0.0.0 # Apache-2.0
neutron-vpnaas>=17.0.0.0 # Apache-2.0
neutron-dynamic-routing>=16.0.0.0 # Apache-2.0
vmware-nsxlib>=16.0.0 # Apache-2.0
# NOTE: we require octavia but can't depend on it
# octavia>=7.0.0.0 # Apache-2.0

# The comment below indicates this project repo is current with neutron-lib
# and should receive neutron-lib consumption patches as they are released
# in neutron-lib. It also implies the project will stay current with TC
# and infra initiatives ensuring consumption patches can land.
# neutron-lib-current

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
sphinx>=2.0.0,!=2.1.0 # BSD
oslosphinx>=4.7.0 # Apache-2.0
openstackdocstheme>=1.18.1 # Apache-2.0
oslotest>=3.2.0 # Apache-2.0
reno>=2.5.0 # Apache-2.0

fixtures>=3.0.0 # Apache-2.0/BSD
testresources>=2.0.0 # Apache-2.0/BSD
testscenarios>=0.4 # Apache-2.0/BSD

=== debian/changelog ===
vmware-nsx (17.0.0~b3~git2020101510.b079e17c3-0ubuntu1~cloud0) focal-victoria; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 16 Oct 2020 14:52:02 +0000

vmware-nsx (17.0.0~b3~git2020101510.b079e17c3-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2020 10:34:48 -0400

vmware-nsx (17.0.0~b3~git2020100914.87cbfddbb-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 09 Oct 2020 14:12:35 -0400

vmware-nsx (17.0.0~b3~git2020091408.a3b61c2d2-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Mon, 14 Sep 2020 08:50:39 +0000

vmware-nsx (17.0.0~b2~git2020073016.9895c3948-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control, d/copyright: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Jul 2020 16:13:01 -0400

vmware-nsx (17.0.0~b1~git2020063008.b95e53a28-0ubuntu2) groovy; urgency=medium

  * d/control: Ensure neutron-related (Build-)Depends min versions are
    satisfied by using tilde.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 30 Jun 2020 15:25:17 -0400

vmware-nsx (17.0.0~b1~git2020063008.b95e53a28-0ubuntu1) groovy; urgency=medium

  [ Corey Bryant ]
  * d/watch: Scope to 16.x series and get tarballs from opendev.org.

  [ Chris MacNaughton ]
  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Tue, 30 Jun 2020 08:21:24 +0000

=== debian/control ===
--- 
+++ 
@@ -7,39 +7,37 @@
  Thomas Goirand <zigo@debian.org>,
  James Page <james.page@ubuntu.com>,
 Build-Depends:
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  dh-python,
- openstack-pkg-tools (>= 23~),
- python-all,
- python-setuptools,
+ openstack-pkg-tools,
  python3-all,
  python3-setuptools,
 Build-Depends-Indep:
  python3-bandit (>= 1.1.0),
  python3-coverage (>= 4.0),
- python3-decorator (>= 4.3.0),
+ python3-decorator (>= 4.4.1),
  python3-eventlet (>= 0.24.1),
  python3-fixtures (>= 3.0.0),
  python3-hacking (>= 1.1.0),
  python3-httplib2 (>= 0.9.1),
  python3-mock (>= 2.0.0),
  python3-netaddr (>= 0.7.18),
- python3-networking-l2gw (>= 1:15.0.0),
- python3-networking-sfc (>= 9.0.0),
- python3-neutron (>= 2:15.0.0),
- python3-neutron-dynamic-routing (>= 2:15.0.0),
- python3-neutron-fwaas (>= 1:15.0.0),
+ python3-networking-l2gw (>= 1:16.0.0),
+ python3-networking-sfc (>= 10.0.0),
+ python3-neutron (>= 2:17.0.0~),
+ python3-neutron-dynamic-routing (>= 2:16.0.0),
+ python3-neutron-fwaas (>= 1:16.0.0),
  python3-neutron-lib (>= 2.0.0),
- python3-neutron-vpnaas (>= 2:15.0.0),
+ python3-neutron-vpnaas (>= 2:17.0.0~),
  python3-octavia-lib (>= 1.3.1),
- python3-openstackclient (>= 4.0.0),
+ python3-openstackclient (>= 5.3.0),
  python3-openstackdocstheme (>= 1.18.1),
  python3-os-testr,
  python3-osc-lib (>= 1.14.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:6.4.0),
  python3-oslo.context (>= 1:2.19.2),
- python3-oslo.db (>= 4.37.0),
+ python3-oslo.db (>= 4.44.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.policy (>= 1.30.0),
@@ -50,15 +48,16 @@
  python3-oslo.vmware (>= 2.17.0),
  python3-oslosphinx (>= 4.7.0),
  python3-oslotest (>= 1:3.2.0),
+ python3-paramiko (>= 2.4.0),
  python3-prettytable (>= 0.7.2),
- python3-psycopg2 (>= 2.7),
- python3-pymysql (>= 0.7.6),
+ python3-psycopg2 (>= 2.8),
+ python3-pymysql (>= 0.9.3),
  python3-pyroute2 (>= 0.4.21),
  python3-reno (>= 2.5.0),
  python3-requests (>= 2.14.2),
  python3-requests-mock (>= 1.2.0),
  python3-six (>= 1.11.0),
- python3-sphinx (>= 1.6.5),
+ python3-sphinx (>= 2.0.0),
  python3-sqlalchemy (>= 1.2.0),
  python3-stestr (>= 1.0.0),
  python3-stevedore (>= 1:1.20.0),
@@ -70,12 +69,12 @@
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
  python3-tooz (>= 1.58.0),
- python3-vmware-nsxlib (>= 15.0.1),
+ python3-vmware-nsxlib (>= 16.0.0),
  python3-webtest (>= 2.0.27),
-Standards-Version: 4.1.2
-Homepage: http://neutron.openstack.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/vmware-nsx.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/vmware-nsx.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/vmware-nsx
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/vmware-nsx
+Homepage: https://opendev.org/x/vmware-nsx
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-vmware-nsx
@@ -83,24 +82,24 @@
 Section: python
 Depends:
  vmware-nsx-common (= ${binary:Version}),
- python3-decorator (>= 4.3.0),
+ python3-decorator (>= 4.4.1),
  python3-eventlet (>= 0.24.1),
  python3-httplib2 (>= 0.9.1),
  python3-netaddr (>= 0.7.18),
- python3-networking-l2gw (>= 1:15.0.0),
- python3-networking-sfc (>= 9.0.0),
- python3-neutron (>= 2:15.0.0),
- python3-neutron-dynamic-routing (>= 2:15.0.0),
- python3-neutron-fwaas (>= 1:15.0.0),
+ python3-networking-l2gw (>= 1:16.0.0),
+ python3-networking-sfc (>= 10.0.0),
+ python3-neutron (>= 2:17.0.0~),
+ python3-neutron-dynamic-routing (>= 2:16.0.0),
+ python3-neutron-fwaas (>= 1:16.0.0),
  python3-neutron-lib (>= 2.0.0),
- python3-neutron-vpnaas (>= 2:15.0.0),
+ python3-neutron-vpnaas (>= 2:17.0.0~),
  python3-octavia-lib (>= 1.3.1),
- python3-openstackclient (>= 4.0.0),
+ python3-openstackclient (>= 5.3.0),
  python3-osc-lib (>= 1.14.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:6.4.0),
  python3-oslo.context (>= 1:2.19.2),
- python3-oslo.db (>= 4.37.0),
+ python3-oslo.db (>= 4.44.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.policy (>= 1.30.0),
@@ -108,6 +107,7 @@
  python3-oslo.service (>= 1.31.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslo.vmware (>= 2.17.0),
+ python3-paramiko (>= 2.4.0),
  python3-pbr (>= 4.0.0),
  python3-prettytable (>= 0.7.2),
  python3-requests (>= 2.14.2),
@@ -116,7 +116,7 @@
  python3-stevedore (>= 1:1.20.0),
  python3-tenacity (>= 5.0.2),
  python3-tooz (>= 1.58.0),
- python3-vmware-nsxlib (>= 15.0.1),
+ python3-vmware-nsxlib (>= 16.0.0),
  ${misc:Depends},
  ${python3:Depends},
 Description: OpenStack virtual network service - Python 3 VMWare NSX plugin

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/vmware-nsx vmware-nsx-(16\d.*)\.tar\.gz
